Table of Contents

## Name

Blt_TreeDeleteNode - Deletes a node and its descendants.

## Synopsis

    #include <bltTree.h>

    Blt_TreeNode
    Blt_TreeDeleteNode(tree, node)

## Arguments

Blt_Tree tree`` `` (in)
`` `` Tree containing the node.

Blt_TreeNode node`` `` (in)
`` `` Node to be deleted.

## Description

This procedure deletes a given node and all it descendants from a tree data object.

The arguments are as follows:

tree
  The tree containing the parent node.
node
  Node to be deleted. The node and its descendant nodes are deleted. Each node's data values are deleted also. The reference count of the Tcl_Obj is decremented.

Since all tree objects must contain at least a root node, the root node itself can't be deleted unless the tree is released and destroyed. Therefore you can clear a tree by deleting its root, but the root node will remain until the tree is destroyed.

## Returns

Always returns TCL_OK. Errors generated in a notification callbacks are backgrounded (see Tcl_TreeCreateNotifyHandler).

## Example

The following example deletes the root node.
`Blt_TreeNode root;

root = Blt_TreeRootNode(token);
Blt_TreeDeleteNode(token, root);

##

`Notifications Blt_TreeDeleteNode can trigger tree notify events. You can be notified whenever a node is deleted by using the Blt_TreeCreateNotifyHandler. A callback routine is registered that will be automatically invoked whenever a node is deleted via Blt_TreeDeleteNode to the tree.

## Keywords

tree, token

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Returns
- Example
- Notifications
- Keywords